获取 managementAction
命名空间:microsoft.graph.managedTenants
重要
Microsoft Graph版本下的 /beta API 可能会发生更改。 不支持在生产应用程序中使用这些 API。 若要确定 API 是否在 v1.0 中可用,请使用 版本 选择器。
读取 managementAction 对象的属性和关系。
权限
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限。
| 权限类型 | 权限(从最低特权到最高特权) |
|---|---|
| 委派(工作或学校帐户) | ManagedTenants.Read.All、ManagedTenants.ReadWrite.All |
| 委派(个人 Microsoft 帐户) | 不支持。 |
| 应用程序 | 不支持。 |
HTTP 请求
GET /tenantRelationships/managedTenants/managementActions/{managementActionId}
可选的查询参数
此方法支持 OData 查询参数 来帮助自定义响应,包括 $apply $count $filter $orderBy $select 、、 $skip 和 $top 。
请求标头
| 名称 | 说明 |
|---|---|
| Authorization | Bearer {token}。必需。 |
请求正文
请勿提供此方法的请求正文。
响应
如果成功,此方法在响应 200 OK 正文中返回 响应代码和 managementAction 对象。
示例
请求
GET https://graph.microsoft.com/beta/tenantRelationships/managedTenants/managementActions/{managementActionId}
响应
注意: 为了提高可读性,可能缩短了此处显示的响应对象。
HTTP/1.1 200 OK
Content-Type: application/json
{
"@odata.context": "https://graph.microsoft.com/beta/$metadata#tenantRelationships/managedTenants/managementActions/$entity",
"id": "4274db74-99c4-40be-bbeb-da4351136be2",
"referenceTemplateId": "21230aa5-d5a9-4403-b179-baf2de242aca",
"displayName": "Baseline - Require MFA for end users",
"description": null,
"category": "identity",
"workloadActions": [
{
"actionId": "fcb7ace7-3ea6-4474-912a-00ee78554445",
"category": "automated",
"displayName": "ConditionalAccessPolicy",
"description": null,
"service": "AAD",
"settings": [
{
"valueType": "string",
"displayName": "DisplayName",
"overwriteAllowed": false,
"jsonValue": "\"Baseline - Require MFA for end users\""
},
{
"valueType": "string",
"displayName": "State",
"overwriteAllowed": false,
"jsonValue": "\"enabledForReportingButNotEnforced\""
},
{
"valueType": "stringCollection",
"displayName": "ClientAppTypes",
"overwriteAllowed": false,
"jsonValue": "[\"All\"]"
},
{
"valueType": "stringCollection",
"displayName": "IncludeApplications",
"overwriteAllowed": false,
"jsonValue": "[\"All\"]"
},
{
"valueType": "stringCollection",
"displayName": "IncludeUsers",
"overwriteAllowed": false,
"jsonValue": "[\"None\"]"
},
{
"valueType": "stringCollection",
"displayName": "IncludeLocations",
"overwriteAllowed": false,
"jsonValue": "[\"All\"]"
},
{
"valueType": "string",
"displayName": "GrantControls.Operator",
"overwriteAllowed": false,
"jsonValue": "\"OR\""
},
{
"valueType": "stringCollection",
"displayName": "GrantControls.BuiltInControls",
"overwriteAllowed": false,
"jsonValue": "[\"mfa\"]"
}
]
}
]
}
反馈
提交和查看相关反馈